# Cloud Calculator

Modern ve profesyonel bir hesap makinesi uygulaması. Python ve Flet framework kullanılarak geliştirilmiştir.

## Özellikler

### 🧮 Temel İşlemler
- Toplama, çıkarma, çarpma, bölme
- Ondalık sayı desteği
- Geri alma (backspace) fonksiyonu
- Temizleme (clear) fonksiyonu

### 🔬 Bilimsel Hesap Makinesi
- Karekök (√)
- Kare alma (x²)
- Trigonometrik fonksiyonlar (sin, cos, tan)
- Logaritma (log)

### 🎨 Modern Arayüz
- Gradient arka plan
- Yuvarlak butonlar
- Tema değiştirme (Açık/Koyu)
- Responsive tasarım
- Geçmiş işlemler görüntüleme

### 📱 Kullanıcı Deneyimi
- İşlem geçmişi
- Son 3 işlemi görüntüleme
- Geçmiş temizleme
- Hata yönetimi
- Anlık sonuç gösterimi

## Kurulum

1. Gerekli paketleri yükleyin:
```bash
pip install -r requirements.txt
```

2. Uygulamayı çalıştırın:
```bash
python main.py
```

## Kullanım

### Temel İşlemler
- Sayıları ve operatörleri tıklayarak işlem oluşturun
- "=" butonuna basarak sonucu görün
- "C" butonu ile temizleyin
- "⌫" butonu ile son karakteri silin

### Bilimsel İşlemler
- Bir sayı girin
- İstediğiniz bilimsel fonksiyonu seçin (√, x², sin, cos, tan, log)
- Sonuç otomatik olarak hesaplanır

### Tema Değiştirme
- Sol üst köşedeki tema butonuna tıklayın
- Açık ve koyu tema arasında geçiş yapın

### Geçmiş
- Son 3 işlem otomatik olarak görüntülenir
- Sağ üst köşedeki temizleme butonu ile geçmişi silebilirsiniz

## Teknik Detaylar

- **Framework**: Flet (Python)
- **Dil**: Python 3.7+
- **Pencere Boyutu**: 400x700 piksel
- **Tema**: Gradient arka planlar
- **Buton Stili**: Yuvarlak, modern tasarım

## Ekran Görüntüleri

Uygulama modern bir arayüze sahiptir:
- Mor-mavi gradient arka plan
- Beyaz metin ve butonlar
- Yuvarlak, modern buton tasarımı
- Temiz ve düzenli layout

## Geliştirme

Bu proje açık kaynak kodludur ve geliştirilmeye açıktır. Yeni özellikler eklemek için:

1. Projeyi fork edin
2. Yeni özellik dalı oluşturun
3. Değişikliklerinizi commit edin
4. Pull request gönderin

## Lisans

Bu proje MIT lisansı altında lisanslanmıştır. 